=== debian/changelog ===
hydrogen (1.0.0~rc1-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream version 1.0.0-rc1 (LP: #1883151)
    - several fixes to the Jack transport (missed/double beats at the begin of a pattern)
    - fixed audio artifaces when using the ALSA driver
    - fixed tempo problems/distorting when exporting a song
    - playback track now scales correctly

 -- Erich Eickmeyer <erich@ericheickmeyer.com>  Thu, 11 Jun 2020 08:32:39 -0700
