=== debian/control ===
Source: hydrogen
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Erich Eickmeyer <erich@ericheickmeyer.com>
Uploaders:
 Erich Eickmeyer <erich@ericheickmeyer.com>,
 Jonas Smedegaard <dr@jones.dk>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
  cdbs,
 debhelper,
 dh-buildinfo,
 cmake,
 qtbase5-dev,
 libz-dev,
 pkg-config,
 libarchive-dev,
 docbook-utils,
 poxml,
 xmlto,
 ladspa-sdk,
 libqt5xmlpatterns5-dev,
 libxml2-utils,
 libasound2-dev [linux-any],
 libjack-jackd2-dev,
 liblrdf-dev,
 liblo-dev,
 libsndfile1-dev,
 libtar-dev,
 portaudio19-dev,
 python3,
 qttools5-dev-tools,
 qttools5-dev,
 libportmidi-dev [linux-any],
 libpulse-dev
Standards-Version: 4.3.0
Homepage: http://www.hydrogen-music.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/hydrogen.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/hydrogen

Package: hydrogen
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 hydrogen-data (= ${source:Version})
Recommends:
 hydrogen-drumkits,
 hydrogen-doc,
 rubberband-cli
Suggests:
 ladspa-plugin
Description: advanced drum machine/step sequencer
 Hydrogen is an advanced drum machine.  It's main goal is to bring
 professional yet simple and intuitive pattern-based drum programming.
 .
 General features:
  * Very user-friendly, modular, fast and intuitive graphical interface
    based on QT 5.
  * Sample-based stereo audio engine, with import of sound samples in
    .wav, .au and .aiff formats.
  * Support of samples in compressed FLAC file.
 .
 Sequencer and mixer features:
  * Pattern-based sequencer, with unlimited number of patterns and
    ability to chain patterns into a song.
  * Up to 64 ticks per pattern with individual level per event and
    variable pattern length.
  * 32 instrument tracks with volume, mute, solo, pan capabilities.
  * Multi layer support for instruments (up to 16 samples for each
    instrument).
  * Ability to import/export song files.
  * Unique human velocity, human time, pitch and swing functions.
  * Multiple patterns playing at once.
 .
 Other features:
  * JACK, ALSA, PortAudio, OSS and PulseAudio audio drivers.
  * ALSA MIDI and PortMidi input with assignable midi-in channel (1..16,
    ALL).
  * Import/export of drumkits.
  * Export song to wav file.
  * Export song to midi file.

Package: hydrogen-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: hydrogen
Breaks: hydrogen (<< 1.0.0~)
Replaces: hydrogen (<< 1.0.0~)
Description: advanced drum machine/step sequencer (data)
 Hydrogen is an advanced drum machine.  It's main goal is to bring
 professional yet simple and intuitive pattern-based drum programming.
 .
 This package contains the architecture-independent data files.

Package: hydrogen-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: hydrogen (<< 1.0.0~)
Replaces: hydrogen (<< 1.0.0~)
Description: advanced drum machine/step sequencer (doc)
 Hydrogen is an advanced drum machine.  It's main goal is to bring
 professional yet simple and intuitive pattern-based drum programming.
 .
 This package contains the architecture-independent documentation.
