## hydrogen 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,17 +17,19 @@
 PROJECT(hydrogen)
 SET(VERSION_MAJOR "1")
 SET(VERSION_MINOR "0")
-SET(VERSION_PATCH "0")
-SET(VERSION_SUFFIX "rc1")
+SET(VERSION_PATCH "1")
+#SET(VERSION_SUFFIX "rc1")
 
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
-IF(VERSION_SUFFIX)
-	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
-ELSE()
-	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
-	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
-ENDIF(VERSION_SUFFIX)
+SET(DISPLAY_VERSION "${VERSION}")
+
+#IF(VERSION_SUFFIX)
+#	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
+#ELSE()
+#	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
+#	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
+#ENDIF(VERSION_SUFFIX)
 
 include(GNUInstallDirs)
 
@@ -341,6 +343,3 @@
 ${red}IMPORTANT:${reset}
   after installing missing packages, remove ${CMAKE_BINARY_DIR}/CMakeCache.txt before
   running cmake again!
------------------------------------------------------------------\n"
-)
-
