=== data/i18n/CMakeLists.txt ===
--- 
+++ 
@@ -5,4 +5,9 @@
 
 QT5_ADD_TRANSLATION(QM_FILES ${TS_FILES})
 ADD_CUSTOM_TARGET(translations ALL DEPENDS ${QM_FILES})
-INSTALL(FILES ${QM_FILES} DESTINATION "${H2_SYS_PATH}/data/i18n")
+
+IF(MINGW)
+	INSTALL(FILES ${QM_FILES} DESTINATION "data/i18n")
+ELSE()
+	INSTALL(FILES ${QM_FILES} DESTINATION "${H2_SYS_PATH}/data/i18n")
+ENDIF()
