=== debian/changelog ===
hydrogen (1.0.1-3) unstable; urgency=medium

  * Add Breaks & Replaces to hydrogen for hydrogen-data (Closes: 983089)
    + Fixes the upgrade from buster to bullseye with the man page installation
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 19 Feb 2021 15:48:08 +0100

hydrogen (1.0.1-2) unstable; urgency=medium

  * control: Update my email address.
  * Do source-only upload to package can migrate to testing.

 -- Nicholas D Steeves <sten@debian.org>  Thu, 28 Jan 2021 23:04:01 -0500

hydrogen (1.0.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Filipe Sateler]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Olivier Humbert ]
  * Update d/changelog: deleting unnecessary empty lines
  * Update d/control:
    - add Pulseaudio to the description
    - debhelper: declare version
  * Update d/hydrogen.install (install a better image)

  [ Nicholas D Steeves ]
  * Reintroduce hydrogen to Debian. (Closes: #960539)
  * New upstream version 1.0.0~beta2.
  * Rebase all patches onto 1.0.0~beta2:
    - Drop 020170916~27d664c.patch (possibly resurrect).
    - Drop 1000_portaudio_v2.patch (no longer needed).
    - Drop 1001_rubberband_path.patch (merged upstream).
    - Drop 1002_fix_locale_coverage.patch (exists upstream @L42).
    - Drop 1005_name_shouldnt_repeat_genericname.patch (merged upstream).
    - Drop 1006_porttime.patch (merged upstream).
    - Drop 1008-ftbfs-gcc-4.7.diff (no longer needed).
    - Drop 1010-spelling.patch (no longer needed).
    - Drop 1015-man_path.patch (no longer needed).
    - Drop 1020-cxx_flags.patch (no longer needed).
  * Fix typos in description, enhance grammar, and refer to Qt as "Qt"
    rather than "QT". Thanks to Thomas Vincent for finding this while
    working on a translation. (Closes: #945042)
  * Update filenamemangle, uversionmangle, and version match to allow uscan
    to detect alpha, beta, and rc versions.  We're now tracking beta Qt5
    releases, because Qt4 is unmaintained and was removed from Debian.
  * Built against qtbase5-dev instead of libqt4-dev. (Closes: #954823)
  * Add the following new build-deps: libqt5xmlpatterns5-dev, qttools5-dev.
  * Add myself to Uploaders.
  * rules: export QTDIR=/usr/lib/qt5.
  * Add libcppunit-dev to build-deps; this will activate unit tests.
  * Add liblo-dev to build-deps; this enables Open Sound Control (OSC).
  * Add 1001-patch-stats.py-with-Python-2to3.patch.
  * Drop Jaromír Mikeš from Uploaders, because he has not been active in
    Debian for > 2 years, and because he communicated that he is no longer
    working on this package (see Bug #954823, Message #15).
  * Drop Jonas Smedegaard from Uploaders on his request (see Bug #954823,
    Message #37).
  * Migrate the package from cdbs to debhelper:
    - Switch to debhelper-compat 13.
    - Drop debian/control.in.
    - Drop cdbs build-dep.
    - Convert existing rules file into dh sequence compatible format, and
      drop the license boilerplate, because this is declared in Files:debian/*
      of copyright.
    - Install man page with debian/hydrogen.manpages.
    - Drop README.source, which existed to declare that this was a cdbs-using
      package.
    - Drop translation regeneration during dh_auto_build, because it replaces
      good translations with unfinished ones, eg: "Directory %1 does not
      exist" -> "Le répertoire %1 n'existe pas" is replace by "unfinished".
    - Drop copyright-check and copyright_hints, which were used in the cdbs
      rules, but which are no longer used.
  * Update hydrogen-data.install for new upstream locations of appdata.xml.
  * Update hydrogen-data.install and hydrogen-data.links for new upstream
    location of h2-icon.svg.
  * hydrogen.install: Drop icon installation, because it exists in
    hydrogen-data.
  * rules: export DEB_CMAKE_EXTRA_FLAGS
  * copyright:
    - Fix inaccurate date range for "The hydrogen development team".
    - Update Sebastian Moors' years.
    - Update Jérémy Zurcher's years.
    - Add missing section for cmake/Sanitizers.cmake.
    - Add missing section for Przemysław Sitek's files.
    - Add missing section for src/www/hydrogen.php.
    - Add myself to Files: debian/*
    - Drop License-Grant and License-Reference fields, because they are not
      part of DEP-5.
    - Add short license texts for GPL-2+, GPL-3+, and Apache-2.0, and include
      the conventional "On Debian systems, the complete text…can be
      found…common-licenses/license-name" text.
  * source/lintian-overrides: Bug #786450 has not yet been resolved.  Drop
    overrides for missing-license-paragraph-in-dep5 and
    missing-license-text-in-dep5, because they are no longer necessary with
    the changes to copyright noted above.
  * Add hydrogen-doc.links to make the manual, old tutorial, and new tutorial
    more discoverable by linking them to /usr/share/docs.
  * Register the tutorial with docbase.
  * Add lintian override for
    package-contains-documentation-outside-usr-share-doc.  See header of
    hydrogen-doc.lintian-overrides for more information.
  * Reimport upstream 1.0.1 using Sourceforge tarball, because the Github one
    omits the HTML manual (available in LANG codes: CA, EN, ES, FR, IT, and
    NL).  The New Tutorial is unfortunately only available in EN; however,
    the old tutorial continues to be provided for EN, FR, and IT.
  * Update watch file to use the Sourceforge source, and declare that we're
    using this source in copyright.
  * Drop build-dep on dh-buildinfo; this functionality is now provided by
    default with .buildinfo files.
  * control: Document why we can't use an https Homepage at this time.
  * 2001_avoid_live_non-free_drumkits.patch: Add missing original Date and
    Forwarded fields.
  * debian/tests/control: Add comment indicating why "allow-stderr" is

