=== debian/changelog ===
hydrogen (1.1.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream release: version 1.1.0~beta1.
  * Rebase all patches onto this release.
  * Adjust hydrogen-doc.install for new location of documentation assets.
  * Remove build/CMakeCache.txt using dh_clean.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 07 May 2021 10:30:30 -0400
