## hydrogen 1.1.0%7ebeta1

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,22 +16,20 @@
 #
 PROJECT(hydrogen)
 SET(VERSION_MAJOR "1")
-SET(VERSION_MINOR "0")
-SET(VERSION_PATCH "1")
-#SET(VERSION_SUFFIX "rc1")
+SET(VERSION_MINOR "1")
+SET(VERSION_PATCH "0")
+SET(VERSION_SUFFIX "beta1")
 
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 
-SET(DISPLAY_VERSION "${VERSION}")
-
-#IF(VERSION_SUFFIX)
-#	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
-#ELSE()
-#	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
-#	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
-#ENDIF(VERSION_SUFFIX)
-
-include(GNUInstallDirs)
+
+IF(VERSION_SUFFIX)
+	SET(DISPLAY_VERSION "${VERSION}-${VERSION_SUFFIX}")
+ELSE()
+	EXECUTE_PROCESS(COMMAND git log --pretty=format:'%h' -n 1 OUTPUT_VARIABLE GIT_REVISION )
+	SET(DISPLAY_VERSION "${VERSION}-${GIT_REVISION}")
+ENDIF(VERSION_SUFFIX)
+
 
 SET(LIBSNDFILE_VERSION_PREV "1.0.17")
 
@@ -53,9 +51,7 @@
 
 IF(APPLE)
 	OPTION(WANT_OSC  "Enable OSC support" OFF)
-	OPTION(WANT_JACKSESSION "Enable use of Jack-Session-Handler" OFF)
-ELSE()
-	OPTION(WANT_JACKSESSION "Enable use of Jack-Session-Handler" ON)
+ELSE()
 	OPTION(WANT_OSC  "Enable OSC support" ON)
 ENDIF()
 
@@ -84,6 +80,7 @@
 ENDIF()
 
 OPTION(WANT_CPPUNIT         "Include CppUnit test suite" ON)
+OPTION(FIXME_DISABLE_OPTIMIZATIONS "Fix broken builds by turning off optimizations" OFF)
 
 include(Sanitizers)
 
@@ -131,11 +128,13 @@
 
 SET(CMAKE_CXX_FLAGS_DEBUG "-g ")#-Winline")
 
-
-IF(APPLE)
-	#Compile for 32bit and 64bit intel macs
-	SET (CMAKE_OSX_ARCHITECTURES "x86_64;")
-ENDIF()
+IF(FIXME_DISABLE_OPTIMIZATIONS)
+    string(REGEX REPLACE "-O[0123s]" "-O0" CMAKE_CXX_FLAGS                "${CMAKE_CXX_FLAGS}")
+    string(REGEX REPLACE "-O[0123s]" "-O0" CMAKE_CXX_FLAGS_RELEASE        "${CMAKE_CXX_FLAGS_RELEASE}")
+    string(REGEX REPLACE "-O[0123s]" "-O0" CMAKE_CXX_FLAGS_DEBUG          "${CMAKE_CXX_FLAGS_DEBUG}")
+    string(REGEX REPLACE "-O[0123s]" "-O0" CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO}")
+ENDIF()
+
 #
 # MANDATORY PKGS AND DEFAULT OPTIONS
 #
@@ -164,9 +163,18 @@
 
 
 #Installation paths
-# TODO remove data from path
-SET(H2_SYS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/hydrogen")
-# TODO remove data from path, could be .config/hydrogen
+INCLUDE(GNUInstallDirs)
+IF(WIN32)
+    SET(H2_BIN_PATH ".")
+    SET(H2_LIB_PATH ".")
+    SET(H2_DATA_PATH ".")
+    SET(H2_SYS_PATH "hydrogen")
+ELSE()
+    SET(H2_BIN_PATH ${CMAKE_INSTALL_BINDIR})
+    SET(H2_LIB_PATH ${CMAKE_INSTALL_LIBDIR})
+    SET(H2_DATA_PATH "${CMAKE_INSTALL_DATADIR}/hydrogen")
+    SET(H2_SYS_PATH "${CMAKE_INSTALL_FULL_DATAROOTDIR}/hydrogen")
+ENDIF()
 SET(H2_USR_PATH ".hydrogen")
 
 SET(MAX_INSTRUMENTS 1000 CACHE STRING "Maximum number of instruments")
@@ -221,7 +229,6 @@
 
 FIND_HELPER(JACK jack jack/jack.h jack)
 CHECK_LIBRARY_EXISTS(jack jack_port_rename "" HAVE_JACK_PORT_RENAME)
-FIND_HELPER(JACKSESSION jack jack/session.h jack)
 IF(APPLE)
     FIND_LIBRARY(AUDIOUNIT_LIBRARY AudioUnit)
     FIND_LIBRARY(CORESERVICES_LIBRARY CoreServices)
@@ -260,7 +267,7 @@
 #
 # COMPUTE H2CORE_HAVE_xxx xxx_STATUS_REPORT
 #
-SET(STATUS_LIST LIBSNDFILE LIBTAR LIBARCHIVE LADSPA ALSA OSS JACK JACKSESSION OSC COREAUDIO COREMIDI PORTAUDIO PORTMIDI PULSEAUDIO LASH LRDF RUBBERBAND CPPUNIT )
+SET(STATUS_LIST LIBSNDFILE LIBTAR LIBARCHIVE LADSPA ALSA OSS JACK OSC COREAUDIO COREMIDI PORTAUDIO PORTMIDI PULSEAUDIO LASH LRDF RUBBERBAND CPPUNIT )
 FOREACH( _pkg ${STATUS_LIST})
     COMPUTE_PKGS_FLAGS(${_pkg})
 ENDFOREACH()
@@ -270,7 +277,7 @@
 IF(LIBSNDFILE_VERSION_OK)
     SET(LIBSNDFILE_MSG "libsndfile supports FLAC and OGG sound file formats")
 ELSE()
-    SET(LIBSNDFILE_MSG "libsndfile version must be greater than ${LIBSNDFILE_VERSION_PREV} to support FLAC and OGG sound file formats")
+	SET(LIBSNDFILE_MSG "libsndfile version must be greater than ${LIBSNDFILE_VERSION_PREV} to support FLAC and OGG sound file formats. Found version: ${LIBSNDFILE_VERSION}")
 ENDIF()
 
 # RUBBERBAND information
@@ -293,6 +300,9 @@
 * Install Directory            : ${CMAKE_INSTALL_PREFIX}
 * User path                    : ${H2_USR_PATH}
 * System path                  : ${H2_SYS_PATH}
+* Bin path                     : ${H2_BIN_PATH}
+* Lib path                     : ${H2_LIB_PATH}
+* Data path                    : ${H2_DATA_PATH}
 * core library build as        : ${H2CORE_LIBRARY_TYPE}
 * debug capabilities           : ${H2CORE_HAVE_DEBUG}
 * macosx bundle                : ${H2CORE_HAVE_BUNDLE}
@@ -313,7 +323,6 @@
 * ${purple}ALSA${reset}                         : ${ALSA_STATUS}
 * ${purple}OSS${reset}                          : ${OSS_STATUS}
 * ${purple}JACK${reset}                         : ${JACK_STATUS}
-* ${purple}JACKSESSION${reset}                  : ${JACKSESSION_STATUS}
 * ${purple}OSC${reset}                          : ${OSC_STATUS}
 * ${purple}CoreAudio${reset}                    : ${COREAUDIO_STATUS}
 * ${purple}CoreMidi${reset}                     : ${COREMIDI_STATUS}
@@ -331,15 +340,3 @@
 )
 
 IF(WANT_DEBUG)
-    COLOR_MESSAGE("${cyan}Miscellaneous capabilities${reset}
------------------------------------------
-* realtime clock               : ${HAVE_RTCLOCK}
-* working sscanf               : ${HAVE_SSCANF}
-* unit tests                   : ${CPPUNIT_STATUS}\n"
-    )
-ENDIF()
-
-COLOR_MESSAGE("-----------------------------------------------------------------
-${red}IMPORTANT:${reset}
-  after installing missing packages, remove ${CMAKE_BINARY_DIR}/CMakeCache.txt before
-  running cmake again!
