## hydrogen 1.1.1

=== debian/changelog ===
hydrogen (1.1.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Switch watch file to Github Releases, because upstream appears to have
    abandoned the sf.net project (eg: the 1.1.0 release tarball exists only
    on Github).
  * Also update Source in copyright.
  * Declare Standards-Version: 4.6.0.1 (no changes required).
  * Add lintian override for false positive
    inconsistent-appstream-metadata-license, because (gpl-2.0+ != gpl-2+) is
    false; these are equivalent expressions that refer to the same license.
  * Harmonise copyright file with upstream claims, and note the contributors
    who appear to have been deleted without a trace in the Comment field for
    "Files: *".

 -- Nicholas D Steeves <sten@debian.org>  Mon, 07 Feb 2022 23:43:16 -0700
