## hydrogen 1.1.1%2B52.gb917e057

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,11 @@
  libpulse-dev,
  liblo-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0.1
 Homepage: http://www.hydrogen-music.org/
 # Unfortunately, as of 2020-11-26, https://www.hydrogen-music.org/ has the
 # following SSL cert issue: NET::ERR_CERT_COMMON_NAME_INVALID
+# This is remains unfixed as of 2021-12-12.
 Vcs-Git: https://salsa.debian.org/multimedia-team/hydrogen.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/hydrogen
